backend:
  name: git-gateway
  branch: main
  commit_messages:
    create: "CMS: Create {{collection}} “{{slug}}” \n\nCo-authored-by: ML <me.mlaure@gmail.com>"
    update: "CMS: Update {{collection}} “{{slug}}” \n\nCo-authored-by: ML <me.mlaure@gmail.com>"
    delete: "CMS: Delete {{collection}} “{{slug}}” \n\nCo-authored-by: ML <me.mlaure@gmail.com>"
    uploadMedia: "CMS: Upload “{{path}}”"
    deleteMedia: "CMS: Delete “{{path}}”"
    openAuthoring: "CMS: '{{message}}'"
media_folder: public/images/uploads
media_library:
  name: uploadcare
  config:
    publicKey: de7170e537ec063002d9
    multiple: false
    imagesOnly: true
    multipleMin: 2
public_folder: public/images
show_preview_links: true
site_url: https://montz.netlify.app/
display_url: https://montz.netlify.app/

collections:
  - label: Home Page
    name: home
    format: json
    description: Update the homepage
    editor:
      preview: false
    files:
      - label: "Section: Intro"
        name: hero
        file: content/home/hero.json
        fields:
          - { label: Heading, name: headline, widget: string }
          - { label: Paragraph, name: paragraph, widget: text }
          - label: Intro Images (4)
            name: images
            widget: image
            choose_url: false
            required: true
            media_library:
              config:
                multiple: true
                multipleMin: 4
                multipleMax: 4

      - label: "Section: Learn More"
        name: learn-more
        file: content/home/learn-more.json
        fields:
          - label: Intro Quote
            name: intro
            widget: object
            fields:
              - { label: Quote, name: quote, widget: text }
              - { label: By, name: by, widget: string }
          - label: Subsection 1
            name: subsect-1
            widget: object
            fields:
              - { label: Heading, name: head, widget: string }
              - { label: Paragraph, name: paragraph, widget: text }
              - { label: Youtube Video, name: video, widget: string }
              - label: Image 1 (vertical)
                name: img-1
                widget: image
                choose_url: false
                required: true

              - label: Image 2 (square/horizontal)
                name: img-2
                widget: image
                choose_url: false
                required: true

              - label: Image 3 (square/horizontal)
                name: img-3
                widget: image
                choose_url: false
                required: true

          - label: Subsection 2
            name: subsect-2
            widget: object
            fields:
              - { label: Heading, name: head, widget: string }
              - { label: Paragraph, name: paragraph, widget: text }
              - { label: Youtube Video, name: video, widget: string }
              - label: Image 1 (vertical)
                name: img-1
                widget: image
                choose_url: false
                required: true

              - label: Image 2 (vertical)
                name: img-2
                widget: image
                choose_url: false
                required: true

      - label: "Section: Gallery"
        name: gallery
        file: content/home/gallery.json
        fields:
          - { label: Pre-heading, name: pre-head, widget: string }
          - { label: Heading, name: head, widget: string }
          - { label: Paragraph, name: paragraph, widget: text }

      - label: "Section: Montessori Difference"
        name: features
        file: content/home/features.json
        fields:
          - { label: Heading, name: head, widget: string }
          - { label: Paragraph, name: paragraph, widget: text }
          - label: Quote
            name: quote
            widget: object
            fields:
              - { label: Quote, name: quote, widget: text }
              - { label: By, name: by, widget: string }
          - label: Feature 1
            name: feat-1
            widget: object
            fields:
              - { label: Title, name: title, widget: string }
              - { label: paragraph, name: text, widget: text }
          - label: Feature 2
            name: feat-2
            widget: object
            fields:
              - { label: Title, name: title, widget: string }
              - { label: paragraph, name: text, widget: text }
          - label: Feature 3
            name: feat-3
            widget: object
            fields:
              - { label: Title, name: title, widget: string }
              - { label: paragraph, name: text, widget: text }
          - label: Feature 4
            name: feat-4
            widget: object
            fields:
              - { label: Title, name: title, widget: string }
              - { label: paragraph, name: text, widget: text }

      - label: "Section: Testimonials"
        name: testimonials
        file: content/home/testimonials.json
        fields:
          - { label: Pre-heading, name: pre-head, widget: string }
          - { label: Heading, name: head, widget: string }
          - { label: Paragraph, name: paragraph, widget: text }
          - label: Quotes
            name: quotes
            widget: list
            label_singular: quote
            fields:
              - { label: Name, name: name, widget: string }
              - { label: Role, name: role, widget: string }
              - { label: Quote, name: quote, widget: text }

  - label: About page
    name: about
    preview_path: /about
    format: json
    description: Update the About page
    editor:
      preview: false
    files:
      - label: "Section: Intro"
        name: intro
        file: content/about/intro.json
        fields:
          - { label: Heading, name: headline, widget: string }
          - { label: Paragraph, name: paragraph, widget: text }
          - label: Image (square)
            name: image
            widget: image
            choose_url: false
            required: true

      - label: "Section: Our Mission"
        name: mission
        file: content/about/mission.json
        fields:
          - { label: Heading, name: headline, widget: string }
          - label: Image (square/horizontal)
            name: image
            widget: image
            choose_url: false
            required: true

          - { label: Text (multi-paragraph), name: text, widget: text }

      - label: "Section: Timeline"
        name: timeline
        file: content/about/timeline.json
        fields:
          - label: Events
            name: events
            widget: list
            hint: Major event or milestone
            summary: "{{fields.title}}"
            label_singular: event
            fields:
              - { label: Title, name: title, widget: string }
              - label: Date
                name: date
                widget: datetime
                date_format: "MMMM DD, YYYY"
                format: YYYY-MM-DD
                time_format: false
                picker_utc: false
              - { label: Event Details, name: details, widget: text }

      - label: "Section: Values"
        name: values
        file: content/about/values.json
        fields:
          - label: Section
            name: copy
            widget: object
            summary: "{{fields.head}}"
            fields:
              - { label: Heading, name: head, widget: string }
              - { label: Paragraph, name: text, widget: text }
          - label: Values
            name: values
            widget: list
            summary: "{{fields.title}}"
            collapsed: true
            max: 6
            min: 6
            fields:
              - { label: Title, name: title, widget: string }
              - { label: Text, name: text, widget: text }

      - label: "Section: Team"
        name: team
        file: content/about/team.json
        fields:
          - label: Section
            name: copy
            widget: object
            summary: "{{fields.head}}"
            fields:
              - { label: Heading, name: head, widget: string }
              - { label: Paragraph, name: text, widget: text }
          - label: Staffs
            name: staffs
            widget: list
            label_singular: staff
            summary: "{{fields.role}} - {{fields.name}}"
            fields:
              - { label: Name, name: name, widget: string }
              - { label: Role, name: role, widget: string }
              - label: Image (vertical)
                name: image
                widget: image
                choose_url: false
                required: true

  - label: Programs page
    name: programs
    preview_path: /programs
    format: json
    description: Update the Programs page
    editor:
      preview: false
    files:
      - label: "Section: Intro"
        name: intro
        file: content/programs/intro.json
        fields:
          - { label: Heading, name: headline, widget: string }
          - { label: Paragraph, name: paragraph, widget: text }

      - label: "Section: Classes"
        name: classes
        file: content/programs/classes.json
        fields:
          - label: Class Group 1
            name: l1
            widget: object
            summary: "{{fields.name}}"
            collapsed: true
            fields:
              - { label: Class Name, name: name, widget: string }
              - { label: Age Group, name: age, widget: string }
              - { label: Class Info, name: text, widget: text }
              - label: Class Images
                name: images
                widget: image
                hint: (Vertical images)
                choose_url: false
                required: true
                media_library:
                  config:
                    multiple: true
                    multipleMin: 2
                    multipleMax: 2

          - label: Class Group 2
            name: l2
            widget: object
            summary: "{{fields.name}}"
            collapsed: true
            fields:
              - { label: Class Name, name: name, widget: string }
              - { label: Age Group, name: age, widget: string }
              - { label: Class Info, name: text, widget: text }
              - label: Class Images
                name: images
                widget: image
                hint: (Vertical images)
                choose_url: false
                required: true
                media_library:
                  config:
                    multiple: true
                    multipleMin: 2
                    multipleMax: 2
          - label: Class Group 3
            name: l3
            widget: object
            summary: "{{fields.name}}"
            collapsed: true
            fields:
              - { label: Class Name, name: name, widget: string }
              - { label: Age Group, name: age, widget: string }
              - { label: Class Info, name: text, widget: text }
              - label: Class Images
                name: images
                widget: image
                hint: (Vertical images)
                choose_url: false
                required: true
                media_library:
                  config:
                    multiple: true
                    multipleMin: 2
                    multipleMax: 2
          - label: Class Group 4
            name: l4
            widget: object
            summary: "{{fields.name}}"
            collapsed: true
            fields:
              - { label: Class Name, name: name, widget: string }
              - { label: Age Group, name: age, widget: string }
              - { label: Class Info, name: text, widget: text }
              - label: Class Images
                name: images
                widget: image
                hint: (Vertical images)
                choose_url: false
                required: true
                media_library:
                  config:
                    multiple: true
                    multipleMin: 2
                    multipleMax: 2
          - label: Class Group 5
            name: l5
            widget: object
            summary: "{{fields.name}}"
            collapsed: true
            fields:
              - { label: Class Name, name: name, widget: string }
              - { label: Age Group, name: age, widget: string }
              - { label: Class Info, name: text, widget: text }
              - label: Class Images
                name: images
                widget: image
                hint: (Vertical images)
                choose_url: false
                required: true
                media_library:
                  config:
                    multiple: true
                    multipleMin: 2
                    multipleMax: 2

  - label: Contact Page
    name: contact
    preview_path: /contact
    format: json
    description: Update the Contact page
    editor:
      preview: false
    files:
      - label: "Section: Intro"
        name: intro
        file: content/contact/intro.json
        fields:
          - { label: Heading, name: headline, widget: string }
          - { label: Paragraph, name: paragraph, widget: text }

      - label: Contact Information
        name: info
        file: content/contact/info.json
        fields:
          - { label: School Email, name: email, widget: string }
          - { label: Visit/Tour Form, name: tour, widget: string }
          - { label: Message Form, name: message, widget: string }
          - label: School Address
            name: address
            widget: object
            fields:
              - { label: Address Text, name: text, widget: text }
              - { label: Google Maps Link, name: link, widget: string }
          - label: Phone Numbers
            name: phones
            widget: object
            hint: "With country code in the format: +234-124-357-6890"
            fields:
              - { label: Main Phone, name: pri, widget: string }
              - label: Other
                name: sec
                widget: string
                required: false
          - label: Social Media
            name: socials
            widget: object
            fields:
              - label: Facebook Link
                name: fb
                widget: string
                required: false
              - label: X (Twitter) Link
                name: tw
                widget: string
                required: false
              - label: Instagram Link
                name: ig
                widget: string
                required: false
              - label: WhatsApp Link
                name: wa
                widget: string
                required: false
              - label: TikTok Link
                name: tk
                widget: string
                required: false

  - label: Misc
    name: misc
    format: json
    description: Misc sections
    editor:
      preview: false
    files:
      - label: Footer
        name: footer
        file: content/misc/footer.json
        fields:
          - { label: Heading, name: head, widget: string }
          - { label: Paragraph, name: text, widget: text }
          - { label: Tagline, name: tagline, widget: string }

      - label: CTA Sections
        name: ctas
        file: content/misc/cta.json
        fields:
          - label: Home page CTA
            name: home
            widget: object
            fields:
              - { label: Heading, name: head, widget: string }
              - { label: Paragraph, name: text, widget: text }
          - label: About page CTA
            name: about
            widget: object
            fields:
              - { label: Heading, name: head, widget: string }
              - { label: Paragraph, name: text, widget: text }
          - label: Programs page CTA
            name: programs
            widget: object
            fields:
              - { label: Heading, name: head, widget: string }
              - { label: Paragraph, name: text, widget: text }
          - label: Hiring Banner
            name: hiring
            widget: object
            fields:
              - { label: Link, name: link, widget: string }
              - { label: Heading, name: head, widget: string }
              - { label: Paragraph, name: text, widget: text }

      - label: Gallery Page
        name: gallery
        file: content/misc/gallery.json
        fields:
          - label: "Section: Intro"
            name: intro
            widget: object
            fields:
              - { label: Heading, name: head, widget: string }
              - { label: Paragraph, name: text, widget: text }
          - label: "Section: CTA"
            name: cta
            widget: object
            fields:
              - { label: Heading, name: head, widget: string }
              - { label: Paragraph, name: text, widget: text }
          - label: Images
            name: images
            widget: image
            choose_url: false
            media_library:
              config:
                multiple: true

      - label: Exams
        name: exams
        file: content/misc/exams.json
        fields:
          - label: Exams
            name: exams
            widget: list
            label_singular: exam
            add_to_top: true
            fields:
              - { label: Subject, name: subject, widget: string }
              - label: Grade / Group
                name: grade
                widget: string
                required: false
                hint: "eg: `Grade 1`, `Group 1`. Leave empty if it doesn't apply."

              - { label: Form Link, name: link, widget: string }

      - label: Frequently Asked Questions
        name: faqs
        file: content/misc/faqs.json
        fields:
          - label: Questions
            name: qa
            widget: list
            label_singular: question
            fields:
              - { label: Question, name: question, widget: string }
              - { label: Answer, name: answer, widget: text }

  - label: Calendar
    name: calendar
    preview_path: /calendar
    format: json
    description: School calendar
    folder: content/calendar
    create: true
    editor:
      preview: false
    identifier_field: year
    fields:
      - label: Year
        name: year
        widget: number
        value_type: int
        min: 2022
        max: 2030
        step: 1
      - label: Events
        name: events
        widget: list
        summary: "{{fields.title}}"
        label_singular: event
        add_to_top: true
        fields:
          - label: Event Name
            name: title
            widget: string
          - label: Event Details
            name: details
            widget: string
            hint: Summary of event details
          - label: Start Date
            name: start
            widget: datetime
            date_format: MMMM DD
            format: MM-DD
            time_format: false
          - label: End Date
            name: end
            required: false
            default: ""
            widget: datetime
            date_format: MMMM DD
            format: MM-DD
            time_format: false
            hint: Leave empty for one-day events
